# Created by pyp2rpm-3.3.2
%global pypi_name pylama

Name:           python-%{pypi_name}
Version:        7.7.1
Release:        %mkrel 2
Summary:        Code audit tool for Python and JavaScript
Group:          Development/Python
License:        LGPLv2
URL:            https://github.com/klen/pylama
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Code audit tool for Python and JavaScript.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python2-pylama < 7.7.1
Requires:       python3dist(mccabe) >= 0.5.2
Requires:       python3dist(pycodestyle) >= 2.3.1
Requires:       python3dist(pydocstyle) >= 2.0.0
Requires:       python3dist(pyflakes) >= 1.5.0
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
Code audit tool for Python and JavaScript.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

rm -rf %{buildroot}%{python3_sitelib}/tests/

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/pylama
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 7.7.1-2.mga8
+ Revision: 1530960
- Mageia 8 Mass Rebuild

* Fri Sep 06 2019 wally <wally> 7.7.1-1.mga8
+ Revision: 1437966
- new version 7.7.1
- drop python2 support
- rebuild for python3.8

* Sat Jan 05 2019 wally <wally> 7.6.5-2.mga7
+ Revision: 1349774
- rebuild for python3.7

* Thu Nov 01 2018 kekepower <kekepower> 7.6.5-1.mga7
+ Revision: 1327517
- imported package python-pylama

